Subject: bug#36940: tests slowness and failure after recent Tramp changes

From: Michael Albinus <[email-masked]>
Date: Sun, 25 Aug 2019 13:26:30 +0200

Eli Zaretskii <[email-masked]> writes:

Hi Eli,

>> I think you should run the strings through
>> ucs-normalize-HFS-NFD-string before comparing them, when the
>> en/decoding is done with utf-8-hfs.  Alternatively, use the facilities
>> in char-fold.el to generate a more lax regexp for your search in
>> tramp--test-check-files.
>
> As yet another possibility, avoid decomposable characters in the
> strings you use altogether.  You can find out whether a given
> character CH can be decomposed like this:
>
>   (get-char-code-property CH 'decomposition)
>
> For characters that have no decomposition, this should return a list
> with a single element equal to CH.

Well, tramp-test41-utf8 is intended to handle all whistles and bells
related to utf8 and Tramp. So this case shall be handled as well.

The interesting point is, that the test does *not* fail with such file
names. It is rather a regexp search in a shell output, which fails.

Best regards, Michael.